package com.kafka.springbootkafkatutorial.kafka;

import com.kafka.springbootkafkatutorial.payload.User;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.stereotype.Component;

@Component
public class KafkaJsonConsumer {
    private static final Logger LOGGER= LoggerFactory.getLogger(KafkaJsonConsumer.class);

    @KafkaListener(topics = "${spring.kafka.topic-json.name}",groupId ="${spring.kafka.consumer.group_id}")
    public void consumeJsonMessage(User userData){
        LOGGER.info(String.format("Json Message consumed -> %s",userData.toString()));

    }
}
